use std::net::TcpStream;

pub trait Splittable {
    fn try_split(&self) -> std::io::Result<Self> where Self: Sized;
}
impl Splittable for TcpStream {
    fn try_split(&self) -> std::io::Result<Self> where Self: Sized {
        self.try_clone()
    }
}